<?php
/******************************************************************************/
//                                                                            //
//                             InstantCMS v1.9                                //
//                        http://www.instantcms.ru/                           //
//                                                                            //
//                   written by InstantCMS Team, 2007-2011                    //
//                produced by InstantSoft, (www.instantsoft.ru)               //
//                                                                            //
//                        LICENSED BY GNU/GPL v2                              //
//                                                                            //
/******************************************************************************/

class p_tinymce extends cmsPlugin {

// ==================================================================== //

    public function __construct(){
        
        parent::__construct();

        $this->info['plugin']               = 'p_tinymce';
        $this->info['title']                = 'Tiny MCE';
        $this->info['description']          = 'Визуальный редактор';
        $this->info['author']               = 'Moxiecode Systems';
        $this->info['version']              = '3.5.b2';
        $this->info['type']                 = 'wysiwyg';

        $this->events[]                 = 'INSERT_WYSIWYG';

    }

// ==================================================================== //

    public function install(){

        return parent::install();

    }

// ==================================================================== //

    public function upgrade(){

        return parent::upgrade();

    }

// ==================================================================== //

    public function execute($event, $item){

        parent::execute();

        if (!$item['width']) { $item['width'] = '100%'; }
        if (!$item['height']) { $item['height'] = '300px'; }
        
        if (!preg_match('/([^0-9])/i', $item['width'])) { $item['width'] = $item['width'].'%'; }
        if (!preg_match('/([^0-9])/i', $item['height'])) { $item['height'] = $item['height'].'px'; }
        
        $item['i_name'] = str_replace('[', '', $item['name']);
        $item['i_name'] = str_replace(']', '', $item['i_name']);

        $air = $this->config['Режим AIR'] ? 'air: true,' : '';
        $i_name = $item['i_name'];
        $name = $item['name'];
        $lang = $this->config['Язык интерфейса'];
        $w = $item['width'];
        $h = $item['height'];
        $txt = $item['text'];
        
        
$html = <<<_OUT
<script type="text/javascript" src="/plugins/p_tinymce/tinymce/tiny_mce.js"></script>
_OUT;

$html .= <<<_OUT
<script type="text/javascript">
tinyMCE.init({
        // General options
        mode : "textareas",
        language : "ru",
        theme : "advanced",
        plugins : "autolink,lists,spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",

        // Theme options
        theme_advanced_buttons1          : 'undo,redo,|,bold,forecolor,backcolor,strikethrough,formatselect,fontsizeselect,pastetext,pasteword,code,|,fullscreen,help',
        theme_advanced_buttons2          : 'image,media,youtubeIframe,link,unlink,anchor,|,justifyleft,justifycenter,justifyright,justifyfull,clearfloat,|,bullist,numlist,|,blockquote,outdent,indent,|,table,hr,|,styleprops,removeformat',
        theme_advanced_toolbar_location  : "top",
        theme_advanced_toolbar_align     : "left",
        theme_advanced_statusbar_location: "bottom",
        theme_advanced_resizing : true,

        // Example content CSS (should be your site CSS)
        content_css : "css/example.css",

        // Drop lists for link/image/media/template dialogs
        template_external_list_url : "/plugins/p_tinymce/tinymce/lists/template_list.js",
        external_link_list_url     : "/plugins/p_tinymce/tinymce/lists/link_list.js",
        external_image_list_url    : "/plugins/p_tinymce/tinymce/lists/image_list.js",
        media_external_list_url    : "/plugins/p_tinymce/tinymce/lists/media_list.js",

        // Replace values for the template plugin
        template_replace_values : {
                username : "Some User",
                staffid : "991234"
        },
        // External file browser
        file_browser_callback: 'openKCFinder'
});

function openKCFinder(field_name, url, type, win) {
    
    if (type == "image") {type = "images";}
    if (type == "iframe") {type = "media";}
    if (type == "flash") {type = "flash";}
    if (type == "file") {type = "files";}

    tinyMCE.activeEditor.windowManager.open({
        file: '/plugins/p_tinymce/kcfinder/browse.php?opener=tinymce&lang=ru&type=' + type,
        title: 'KCFinder',
        width: 700,
        height: 500,
        resizable: "yes",
        inline : 0,  
        resizable: "yes",
        /*inline: true,*/
        close_previous: "no",
        popup_css: false
    }, {
        window: win,
        input: field_name
    });
    return false;
}
</script>
_OUT;

$html .= <<<_OUT
<textarea id="$i_name" name="$name" style="width: $w; height: $h;">$txt</textarea>
_OUT;

        return $html;

    }

// ==================================================================== //

}